<?php

namespace App\Filament\Imports;

use App\Models\TempClassCharacteristic;
use Filament\Actions\Imports\ImportColumn;
use Filament\Actions\Imports\Importer;
use Filament\Actions\Imports\Models\Import;

class TempClassCharacteristicImporter extends Importer
{
    protected static ?string $model = TempClassCharacteristic::class;

    public static function getColumns(): array
    {
        return [
            ImportColumn::make('plant')
                ->requiredMapping()
                ->exampleHeader('PLANT CODE')
                ->example('1000')
                ->label('PLANT CODE')
                ->relationship(resolveUsing: 'code')
                ->rules(['required']),
            ImportColumn::make('machine')
                ->requiredMapping()
                ->exampleHeader('WORK CENTER')
                ->example('RMGLAS01')
                ->label('WORK CENTER')
                ->relationship(resolveUsing: 'work_center')
                ->rules(['required']),
            ImportColumn::make('item')
                ->requiredMapping()
                ->exampleHeader('ITEM CODE')
                ->example('630214')
                ->label('ITEM CODE')
                ->relationship(resolveUsing: 'code')
                ->rules(['required']),
            ImportColumn::make('aufnr')
                ->label('AUFNR')
                ->exampleHeader('AUFNR')
                ->example('1234567'),
            ImportColumn::make('class')
                ->label('CLASS')
                ->exampleHeader('CLASS')
                ->example('ZLASER'),
            ImportColumn::make('arbid')
                ->label('ARBID')
                ->exampleHeader('ARBID')
                ->example('LASER'),
            ImportColumn::make('gamng')
                ->label('GAMNG')
                ->exampleHeader('GAMNG')
                ->example('1.000'),
            ImportColumn::make('lmnga')
                ->label('LMNGA')
                ->exampleHeader('LMNGA')
                ->example('1'),
            ImportColumn::make('gernr')
                ->label('GERNR')
                ->exampleHeader('GERNR')
                ->example('12345678901234'),
            ImportColumn::make('zz1_cn_bill_ord')
                ->label('ZZ1 CN BILL ORD')
                ->exampleHeader('ZZ1 CN BILL ORD')
                ->example('INDIA'),
            ImportColumn::make('zmm_amps')
                ->label('ZMM AMPS')
                ->exampleHeader('ZMM AMPS')
                ->example('11A'),
            ImportColumn::make('zmm_brand')
                ->label('ZMM BRAND')
                ->exampleHeader('ZMM BRAND')
                ->example('CRI'),
            ImportColumn::make('zmm_degreeofprotection')
                ->label('ZMM DEGREEOFPROTECTION')
                ->exampleHeader('ZMM DEGREEOFPROTECTION')
                ->example('IP55'),
            ImportColumn::make('zmm_delivery')
                ->label('ZMM DELIVERY')
                ->exampleHeader('ZMM DELIVERY')
                ->example('65MM'),
            ImportColumn::make('zmm_dir_rot')
                ->label('ZMM DIR ROT')
                ->exampleHeader('ZMM DIR ROT')
                ->example(''),
            ImportColumn::make('zmm_discharge')
                ->label('ZMM DISCHARGE')
                ->exampleHeader('ZMM DISCHARGE')
                ->example('17m³/h'),
            ImportColumn::make('zmm_discharge_max')
                ->label('ZMM DISCHARGE MAX')
                ->exampleHeader('ZMM DISCHARGE MAX')
                ->example(''),
            ImportColumn::make('zmm_discharge_min')
                ->label('ZMM DISCHARGE MIN')
                ->exampleHeader('ZMM DISCHARGE MIN')
                ->example(''),
            ImportColumn::make('zmm_duty')
                ->label('ZMM DUTY')
                ->exampleHeader('ZMM DUTY')
                ->example('DUTY S1'),
            ImportColumn::make('zmm_eff_motor')
                ->label('ZMM EFF MOTOR')
                ->exampleHeader('ZMM EFF MOTOR')
                ->example(''),
            ImportColumn::make('zmm_eff_pump')
                ->label('ZMM EFF PUMP')
                ->exampleHeader('ZMM EFF PUMP')
                ->example(''),
            ImportColumn::make('zmm_frequency')
                ->label('ZMM FREQUENCY')
                ->exampleHeader('ZMM FREQUENCY')
                ->example('50Hz'),
            ImportColumn::make('zmm_head')
                ->label('ZMM HEAD')
                ->exampleHeader('ZMM HEAD')
                ->example('77M'),
            ImportColumn::make('zmm_heading')
                ->label('ZMM HEADING')
                ->exampleHeader('ZMM HEADING')
                ->example('PRESSURE BOOSTER SYSTEM'),
            ImportColumn::make('zmm_head_max')
                ->label('ZMM HEAD MAX')
                ->exampleHeader('ZMM HEAD MAX')
                ->example('96m'),
            ImportColumn::make('zmm_head_minimum')
                ->label('ZMM HEAD MINIMUM')
                ->exampleHeader('ZMM HEAD MINIMUM')
                ->example(''),
            ImportColumn::make('zmm_idx_eff_mtr')
                ->label('ZMM IDX EFF MTR')
                ->exampleHeader('ZMM IDX EFF MTR')
                ->example(''),
            ImportColumn::make('zmm_idx_eff_pump')
                ->label('ZMM IDX EFF PUMP')
                ->exampleHeader('ZMM IDX EFF PUMP')
                ->example(''),
            ImportColumn::make('zmm_kvacode')
                ->label('ZMM KVACODE')
                ->exampleHeader('ZMM KVACODE')
                ->example(''),
            ImportColumn::make('zmm_maxambtemp')
                ->label('ZMM MAXAMBTEMP')
                ->exampleHeader('ZMM MAXAMBTEMP')
                ->example(''),
            ImportColumn::make('zmm_mincoolingflow')
                ->label('ZMM MINCOOLINGFLOW')
                ->exampleHeader('ZMM MINCOOLINGFLOW')
                ->example(''),
            ImportColumn::make('zmm_motorseries')
                ->label('ZMM MOTORSERIES')
                ->exampleHeader('ZMM MOTORSERIES')
                ->example(''),
            ImportColumn::make('zmm_motor_model')
                ->label('ZMM MOTOR MODEL')
                ->exampleHeader('ZMM MOTOR MODEL')
                ->example(''),
            ImportColumn::make('zmm_outlet')
                ->label('ZMM OUTLET')
                ->exampleHeader('ZMM OUTLET')
                ->example('IE2'),
            ImportColumn::make('zmm_phase')
                ->label('ZMM PHASE')
                ->exampleHeader('ZMM PHASE')
                ->example('3Ph'),
            ImportColumn::make('zmm_pressure')
                ->label('ZMM PRESSURE')
                ->exampleHeader('ZMM PRESSURE')
                ->example('16bar'),
            ImportColumn::make('zmm_pumpflowtype')
                ->label('ZMM PUMPFLOWTYPE')
                ->exampleHeader('ZMM PUMPFLOWTYPE')
                ->example(''),
            ImportColumn::make('zmm_pumpseries')
                ->label('ZMM PUMPSERIES')
                ->exampleHeader('ZMM PUMPSERIES')
                ->example(''),
            ImportColumn::make('zmm_pump_model')
                ->label('ZMM PUMP MODEL')
                ->exampleHeader('ZMM PUMP MODEL')
                ->example('MVHS-15/07TR'),
            ImportColumn::make('zmm_ratedpower')
                ->label('ZMM RATEDPOWER')
                ->exampleHeader('ZMM RATEDPOWER')
                ->example('5.5kW/7.5HP'),
            ImportColumn::make('zmm_region')
                ->label('ZMM REGION')
                ->exampleHeader('ZMM REGION')
                ->example(''),
            ImportColumn::make('zmm_servicefactor')
                ->label('ZMM SERVICEFACTOR')
                ->exampleHeader('ZMM SERVICEFACTOR')
                ->example(''),
            ImportColumn::make('zmm_servicefactormaximumamps')
                ->label('ZMM SERVICEFACTORMAXIMUMAMPS')
                ->exampleHeader('ZMM SERVICEFACTORMAXIMUMAMPS')
                ->example(''),
            ImportColumn::make('zmm_speed')
                ->label('ZMM SPEED')
                ->exampleHeader('ZMM SPEED')
                ->example('2900rpm'),
            ImportColumn::make('zmm_suction')
                ->label('ZMM SUCTION')
                ->exampleHeader('ZMM SUCTION')
                ->example('65mm'),
            ImportColumn::make('zmm_suctionxdelivery')
                ->label('ZMM SUCTIONXDELIVERY')
                ->exampleHeader('ZMM SUCTIONXDELIVERY')
                ->example('50 x 50mm'),
            ImportColumn::make('zmm_supplysource')
                ->label('ZMM SUPPLYSOURCE')
                ->exampleHeader('ZMM SUPPLYSOURCE')
                ->example('AC SUPPLY'),
            ImportColumn::make('zmm_temperature')
                ->label('ZMM TEMPERATURE')
                ->exampleHeader('ZMM TEMPERATURE')
                ->example('90°C'),
            ImportColumn::make('zmm_thrustload')
                ->label('ZMM THRUSTLOAD')
                ->exampleHeader('ZMM THRUSTLOAD')
                ->example(''),
            ImportColumn::make('zmm_volts')
                ->label('ZMM VOLTS')
                ->exampleHeader('ZMM VOLTS')
                ->example('415V'),
            ImportColumn::make('zmm_wire')
                ->label('ZMM WIRE')
                ->exampleHeader('ZMM WIRE')
                ->example(''),
            ImportColumn::make('zmm_package')
                ->label('ZMM PACKAGE')
                ->exampleHeader('ZMM PACKAGE')
                ->example(''),
            ImportColumn::make('zmm_pvarrayrating')
                ->label('ZMM PVARRAYRATING')
                ->exampleHeader('ZMM PVARRAYRATING')
                ->example(''),
            ImportColumn::make('zmm_isi')
                ->label('ZMM ISI')
                ->exampleHeader('ZMM ISI')
                ->example('Y'),
            ImportColumn::make('zmm_isimotor')
                ->label('ZMM ISIMOTOR')
                ->exampleHeader('ZMM ISIMOTOR')
                ->example('IS:12615'),
            ImportColumn::make('zmm_isipump')
                ->label('ZMM ISIPUMP')
                ->exampleHeader('ZMM ISIPUMP')
                ->example(''),
            ImportColumn::make('zmm_isipumpset')
                ->label('ZMM ISIPUMPSET')
                ->exampleHeader('ZMM ISIPUMPSET')
                ->example('IS:12615'),
            ImportColumn::make('zmm_pumpset_model')
                ->label('ZMM PUMPSET MODEL')
                ->exampleHeader('ZMM PUMPSET MODEL')
                ->example('MVHS-15/07TR'),
            ImportColumn::make('zmm_stages')
                ->label('ZMM STAGES')
                ->exampleHeader('ZMM STAGES')
                ->example('7'),
            ImportColumn::make('zmm_headrange')
                ->label('ZMM HEADRANGE')
                ->exampleHeader('ZMM HEADRANGE')
                ->example(''),
            ImportColumn::make('zmm_overall_efficiency')
                ->label('ZMM OVERALL EFFICIENCY')
                ->exampleHeader('ZMM OVERALL EFFICIENCY')
                ->example(''),
            ImportColumn::make('zmm_connection')
                ->label('ZMM CONNECTION')
                ->exampleHeader('ZMM CONNECTION')
                ->example('STAR/DELTA'),
            ImportColumn::make('zmm_min_bore_size')
                ->label('ZMM MIN BORE SIZE')
                ->exampleHeader('ZMM MIN BORE SIZE')
                ->example(''),
            ImportColumn::make('zmm_isireference')
                ->label('ZMM ISIREFERENCE')
                ->exampleHeader('ZMM ISIREFERENCE')
                ->example(''),
            ImportColumn::make('zmm_category')
                ->label('ZMM CATEGORY')
                ->exampleHeader('ZMM CATEGORY')
                ->example('B'),
            ImportColumn::make('zmm_submergence')
                ->label('ZMM SUBMERGENCE')
                ->exampleHeader('ZMM SUBMERGENCE')
                ->example(''),
            ImportColumn::make('zmm_capacitorstart')
                ->label('ZMM CAPACITORSTART')
                ->exampleHeader('ZMM CAPACITORSTART')
                ->example(''),
            ImportColumn::make('zmm_capacitorrun')
                ->label('ZMM CAPACITORRUN')
                ->exampleHeader('ZMM CAPACITORRUN')
                ->example(''),
            ImportColumn::make('zmm_inch')
                ->label('ZMM INCH')
                ->exampleHeader('ZMM INCH')
                ->example(''),
            ImportColumn::make('zmm_motor_type')
                ->label('ZMM MOTOR TYPE')
                ->exampleHeader('ZMM MOTOR TYPE')
                ->example('TEFC'),
            ImportColumn::make('zmm_dismantle_direction')
                ->label('ZMM DISMANTLE DIRECTION')
                ->exampleHeader('ZMM DISMANTLE DIRECTION')
                ->example(''),
            ImportColumn::make('zmm_eff_ovrall')
                ->label('ZMM EFF OVERALL')
                ->exampleHeader('ZMM EFF OVERALL')
                ->example(''),
            ImportColumn::make('zmm_bodymoc')
                ->label('ZMM BODYMOC')
                ->exampleHeader('ZMM BODYMOC')
                ->example(''),
            ImportColumn::make('zmm_rotormoc')
                ->label('ZMM ROTORMOC')
                ->exampleHeader('ZMM ROTORMOC')
                ->example(''),
            ImportColumn::make('zmm_dlwl')
                ->label('ZMM DLWL')
                ->exampleHeader('ZMM DLWL')
                ->example(''),
            ImportColumn::make('zmm_inputpower')
                ->label('ZMM INPUTPOWER')
                ->exampleHeader('ZMM INPUTPOWER')
                ->example(''),
            ImportColumn::make('zmm_imp_od')
                ->label('ZMM IMP OD')
                ->exampleHeader('ZMM IMP OD')
                ->example(''),
            ImportColumn::make('zmm_ambtemp')
                ->label('ZMM AMBTEMP')
                ->exampleHeader('ZMM AMBTEMP')
                ->example(''),
            ImportColumn::make('zmm_de')
                ->label('ZMM DE')
                ->exampleHeader('ZMM DE')
                ->example(''),
            ImportColumn::make('zmm_dischargerange')
                ->label('ZMM DISCHARGERANGE')
                ->exampleHeader('ZMM DISCHARGERANGE')
                ->example(''),
            ImportColumn::make('zmm_efficiency_class')
                ->label('ZMM EFFICIENCY CLASS')
                ->exampleHeader('ZMM EFFICIENCY CLASS')
                ->example('IE2'),
            ImportColumn::make('zmm_framesize')
                ->label('ZMM FRAMESIZE')
                ->exampleHeader('ZMM FRAMESIZE')
                ->example(''),
            ImportColumn::make('zmm_impellerdiameter')
                ->label('ZMM IMPELLERDIAMETER')
                ->exampleHeader('ZMM IMPELLERDIAMETER')
                ->example(''),
            ImportColumn::make('zmm_insulationclass')
                ->label('ZMM INSULATIONCLASS')
                ->exampleHeader('ZMM INSULATIONCLASS')
                ->example('F'),
            ImportColumn::make('zmm_maxflow')
                ->label('ZMM MAXFLOW')
                ->exampleHeader('ZMM MAXFLOW')
                ->example(''),
            ImportColumn::make('zmm_minhead')
                ->label('ZMM MINHEAD')
                ->exampleHeader('ZMM MINHEAD')
                ->example(''),
            ImportColumn::make('zmm_mtrlofconst')
                ->label('ZMM MTRLOFCONST')
                ->exampleHeader('ZMM MTRLOFCONST')
                ->example(''),
            ImportColumn::make('zmm_nde')
                ->label('ZMM NDE')
                ->exampleHeader('ZMM NDE')
                ->example(''),
            ImportColumn::make('zmm_powerfactor')
                ->label('ZMM POWERFACTOR')
                ->exampleHeader('ZMM POWERFACTOR')
                ->example(''),
            ImportColumn::make('zmm_tagno')
                ->label('ZMM TAGNO')
                ->exampleHeader('ZMM TAGNO')
                ->example(''),
            ImportColumn::make('zmm_year')
                ->label('ZMM YEAR')
                ->exampleHeader('ZMM YEAR')
                ->example(''),
            ImportColumn::make('zmm_laser_name')
                ->label('ZMM LASER NAME')
                ->exampleHeader('ZMM LASER NAME')
                ->example(''),
            ImportColumn::make('zmm_logo_cp')
                ->label('ZMM LOGO CP')
                ->exampleHeader('ZMM LOGO CP')
                ->example(''),
            ImportColumn::make('zmm_logo_ce')
                ->label('ZMM LOGO CE')
                ->exampleHeader('ZMM LOGO CE')
                ->example('NO'),
            ImportColumn::make('zmm_logo_nsf')
                ->label('ZMM LOGO NSF')
                ->exampleHeader('ZMM LOGO NSF')
                ->example(''),
            ImportColumn::make('zmm_logo_eac')
                ->label('ZMM LOGO EAC')
                ->exampleHeader('ZMM LOGO EAC')
                ->example(''),
            ImportColumn::make('zmm_beenote')
                ->label('ZMM BEENOTE')
                ->exampleHeader('ZMM BEENOTE')
                ->example(''),
            ImportColumn::make('zmm_beenumber')
                ->label('ZMM BEENUMBER')
                ->exampleHeader('ZMM BEENUMBER')
                ->example(''),
            ImportColumn::make('zmm_beestar')
                ->label('ZMM BEESTAR')
                ->exampleHeader('ZMM BEESTAR')
                ->example(''),
            ImportColumn::make('zmm_codeclass')
                ->label('ZMM CODECLASS')
                ->exampleHeader('ZMM CODECLASS')
                ->example(''),
            ImportColumn::make('zmm_colour')
                ->label('ZMM COLOUR')
                ->exampleHeader('ZMM COLOUR')
                ->example(''),
            ImportColumn::make('zmm_grade')
                ->label('ZMM GRADE')
                ->exampleHeader('ZMM GRADE')
                ->example(''),
            ImportColumn::make('zmm_grwt_pset')
                ->label('ZMM GRWT PSET')
                ->exampleHeader('ZMM GRWT PSET')
                ->example(''),
            ImportColumn::make('zmm_grwt_cable')
                ->label('ZMM GRWT CABLE')
                ->exampleHeader('ZMM GRWT CABLE')
                ->example(''),
            ImportColumn::make('zmm_grwt_motor')
                ->label('ZMM GRWT MOTOR')
                ->exampleHeader('ZMM GRWT MOTOR')
                ->example(''),
            ImportColumn::make('zmm_grwt_pf')
                ->label('ZMM GRWT PF')
                ->exampleHeader('ZMM GRWT PF')
                ->example(''),
            ImportColumn::make('zmm_grwt_pump')
                ->label('ZMM GRWT PUMP')
                ->exampleHeader('ZMM GRWT PUMP')
                ->example(''),
            ImportColumn::make('zmm_isivalve')
                ->label('ZMM ISIVALVE')
                ->exampleHeader('ZMM ISIVALVE')
                ->example(''),
            ImportColumn::make('zmm_isi_wc')
                ->label('ZMM ISI WC')
                ->exampleHeader('ZMM ISI WC')
                ->example(''),
            ImportColumn::make('zmm_labelperiod')
                ->label('ZMM LABELPERIOD')
                ->exampleHeader('ZMM LABELPERIOD')
                ->example(''),
            ImportColumn::make('zmm_length')
                ->label('ZMM LENGTH')
                ->exampleHeader('ZMM LENGTH')
                ->example(''),
            ImportColumn::make('zmm_license_cml_no')
                ->label('ZMM LICENSE CML NO')
                ->exampleHeader('ZMM LICENSE CML NO')
                ->example(''),
            ImportColumn::make('zmm_mfgmonyr')
                ->label('ZMM MFGMONYR')
                ->exampleHeader('ZMM MFGMONYR')
                ->example(''),
            ImportColumn::make('zmm_modelyear')
                ->label('ZMM MODELYEAR')
                ->exampleHeader('ZMM MODELYEAR')
                ->example(''),
            ImportColumn::make('zmm_motoridentification')
                ->label('ZMM MOTORIDENTIFICATION')
                ->exampleHeader('ZMM MOTORIDENTIFICATION')
                ->example(''),
            ImportColumn::make('zmm_newt_pset')
                ->label('ZMM NEWT PSET')
                ->exampleHeader('ZMM NEWT PSET')
                ->example(''),
            ImportColumn::make('zmm_newt_cable')
                ->label('ZMM NEWT CABLE')
                ->exampleHeader('ZMM NEWT CABLE')
                ->example(''),
            ImportColumn::make('zmm_newt_motor')
                ->label('ZMM NEWT MOTOR')
                ->exampleHeader('ZMM NEWT MOTOR')
                ->example(''),
            ImportColumn::make('zmm_newt_pf')
                ->label('ZMM NEWT PF')
                ->exampleHeader('ZMM NEWT PF')
                ->example(''),
            ImportColumn::make('zmm_newt_pump')
                ->label('ZMM NEWT PUMP')
                ->exampleHeader('ZMM NEWT PUMP')
                ->example(''),
            ImportColumn::make('zmm_packtype')
                ->label('ZMM PACKTYPE')
                ->exampleHeader('ZMM PACKTYPE')
                ->example(''),
            ImportColumn::make('zmm_panel')
                ->label('ZMM PANEL')
                ->exampleHeader('ZMM PANEL')
                ->example(''),
            ImportColumn::make('zmm_performance_factor')
                ->label('ZMM PERFORMANCE FACTOR')
                ->exampleHeader('ZMM PERFORMANCE FACTOR')
                ->example(''),
            ImportColumn::make('zmm_pumpidentification')
                ->label('ZMM PUMPIDENTIFICATION')
                ->exampleHeader('ZMM PUMPIDENTIFICATION')
                ->example(''),
            ImportColumn::make('zmm_psettype')
                ->label('ZMM PSETTYPE')
                ->exampleHeader('ZMM PSETTYPE')
                ->example(''),
            ImportColumn::make('zmm_size')
                ->label('ZMM SIZE')
                ->exampleHeader('ZMM SIZE')
                ->example(''),
            ImportColumn::make('zmm_eff_ttl')
                ->label('ZMM EFF TTL')
                ->exampleHeader('ZMM EFF TTL')
                ->example(''),
            ImportColumn::make('zmm_type')
                ->label('ZMM TYPE')
                ->exampleHeader('ZMM TYPE')
                ->example(''),
            ImportColumn::make('zmm_usp')
                ->label('ZMM USP')
                ->exampleHeader('ZMM USP')
                ->example(''),
            ImportColumn::make('zmm_operating_range')
                ->label('ZMM OPERATING RANGE')
                ->exampleHeader('ZMM OPERATING RANGE')
                ->example(''),
            ImportColumn::make('zmm_intake_air')
                ->label('ZMM USP')
                ->exampleHeader('ZMM USP')
                ->example(''),
            ImportColumn::make('zmm_oxygen_transfer_rate')
                ->label('ZMM OXYGEN TRANSFER RATE')
                ->exampleHeader('ZMM OXYGEN TRANSFER RATE')
                ->example(''),
            ImportColumn::make('zmm_air_inlet_pipesize')
                ->label('ZMM AIR INLET PIPESIZE')
                ->exampleHeader('ZMM AIR INLET PIPESIZE')
                ->example(''),
            ImportColumn::make('zmm_sump_depth')
                ->label('ZMM SUMP DEPTH')
                ->exampleHeader('ZMM SUMP DEPTH')
                ->example(''),
            ImportColumn::make('zmm_poles')
                ->label('ZMM POLES')
                ->exampleHeader('ZMM POLES')
                ->example(''),
            ImportColumn::make('zmm_motor_heading')
                ->label('ZMM MOTOR HEADING')
                ->exampleHeader('ZMM MOTOR HEADING')
                ->example(''),
            ImportColumn::make('zmm_motor_speed')
                ->label('ZMM MOTOR SPEED')
                ->exampleHeader('ZMM MOTOR SPEED')
                ->example(''),
            ImportColumn::make('zqmm_qty')
                ->label('ZQMM QTY')
                ->exampleHeader('ZQMM QTY')
                ->example(''),
            ImportColumn::make('zmm_operating_temperature')
                ->label('ZMM OPERATING TEMPERATURE')
                ->exampleHeader('ZMM OPERATING TEMPERATURE')
                ->example(''),
            ImportColumn::make('zmm_axial_force')
                ->label('ZMM AXIAL FORCE')
                ->exampleHeader('ZMM AXIAL FORCE')
                ->example(''),
            ImportColumn::make('winded_serial_number')
                ->label('WINDed SERIAL NUMBER')
                ->exampleHeader('WINDED SERIAL NUMBER')
                ->example(''),
            ImportColumn::make('model_type')
                ->label('MODEL TYPE')
                ->exampleHeader('MODEL TYPE')
                ->example(''),
            ImportColumn::make('created_by')
                ->label('CREATED BY')
                ->exampleHeader('CREATED BY')
                ->example(''),
            ImportColumn::make('updated_by')
                ->label('UPDATED BY')
                ->exampleHeader('UPDATED BY')
                ->example(''),
        ];
    }

    public function resolveRecord(): ?TempClassCharacteristic
    {
        // return TempClassCharacteristic::firstOrNew([
        //     // Update existing records, matching them by `$this->data['column_name']`
        //     'email' => $this->data['email'],
        // ]);

        return new TempClassCharacteristic;
    }

    public static function getCompletedNotificationBody(Import $import): string
    {
        $body = 'Your temp class characteristic import has completed and '.number_format($import->successful_rows).' '.str('row')->plural($import->successful_rows).' imported.';

        if ($failedRowsCount = $import->getFailedRowsCount()) {
            $body .= ' '.number_format($failedRowsCount).' '.str('row')->plural($failedRowsCount).' failed to import.';
        }

        return $body;
    }
}
